#
# spec file for package ghc-Chart-diagrams
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name Chart-diagrams
Name:           ghc-%{pkg_name}
Version:        1.6
Release:        7.9
Summary:        Diagrams backend for Charts
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-Chart-devel
BuildRequires:  ghc-SVGFonts-devel
BuildRequires:  ghc-blaze-markup-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-colour-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-class-devel
BuildRequires:  ghc-diagrams-core-devel
BuildRequires:  ghc-diagrams-lib-devel
BuildRequires:  ghc-diagrams-postscript-devel
BuildRequires:  ghc-diagrams-svg-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-lucid-svg-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-operational-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Diagrams backend for Charts.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/fonts
%{_datadir}/%{pkg_name}-%{version}/fonts/LinLibertine_R.svg
%{_datadir}/%{pkg_name}-%{version}/fonts/LinLibertine_RB.svg
%{_datadir}/%{pkg_name}-%{version}/fonts/LinLibertine_RBI.svg
%{_datadir}/%{pkg_name}-%{version}/fonts/LinLibertine_RI.svg
%{_datadir}/%{pkg_name}-%{version}/fonts/SourceSansPro_R.svg
%{_datadir}/%{pkg_name}-%{version}/fonts/SourceSansPro_RB.svg
%{_datadir}/%{pkg_name}-%{version}/fonts/SourceSansPro_RBI.svg
%{_datadir}/%{pkg_name}-%{version}/fonts/SourceSansPro_RI.svg
%{_datadir}/%{pkg_name}-%{version}/fonts/SourceCodePro_R.svg
%{_datadir}/%{pkg_name}-%{version}/fonts/SourceCodePro_RB.svg

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.6 revision 0 with cabal2obs.
